This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 824807 - normalize_dasd_arg script doesn't handle additional DASD parameters
normalize_dasd_arg script doesn't handle additional DASD parameters
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: s390utils (Show other bugs)
17
s390x Linux
unspecified Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 824886
  Show dependency treegraph
 
Reported: 2012-05-24 06:26 EDT by Jan Stodola
Modified: 2013-01-09 21:18 EST (History)
1 user (show)

See Also:
Fixed In Version: s390utils-1.16.0-9.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 824886 (view as bug list)
Environment:
Last Closed: 2012-05-25 03:17:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-05-24 06:26:41 EDT
Description of problem:
When DASD device number contains additional parameters, normalize_dasd_arg fails to parse it:

$ echo "0.0.3527,use_diag=0,readonly=0,erplog=0,failfast=0" | ./normalize_dasd_arg 
0.0.3527
Incorrect format for lower bound of DASD range use_diag=0: use_diag=0


This causes boot failure, since anaconda appends additional DASD parameters into /etc/zipl.conf:

...
[    0.000000] Kernel command line: cio_ignore=all,!0.0.0009 rd.md=0 rd.dm=0 rd
dasd=0.0.3727,use_diag=0,readonly=0,erplog=0,failfast=0 rd.dasd=0.0.3627,use_dia
g=0,readonly=0,erplog=0,failfast=0 rd.lvm.lv=vg_rtt7/lv_root  KEYTABLE=us rd.lvm
.lv=vg_rtt7/lv_swap rd.dasd=0.0.3527,use_diag=0,readonly=0,erplog=0,failfast=0 r
oot=/dev/mapper/vg_rtt7-lv_root rd.luks=0 rd.lvm.lv=vg_rtt7/lv_boot SYSFONT=True
 LANG=en_US.UTF-8 BOOT_IMAGE=001

...

[    0.566080] dracut: dracut-018-40.git20120522.fc17 
Error: can't free device(s) Incorrect 
Error: can't free device(s) Incorrect 
Error: can't free device(s) Incorrect 
[    0.741956] udevd[162]: starting version 182 
[    1.138269] dracut: Starting plymouth daemon 
/lib/udev/console_init: line 61: /dev/tty0: No such device or address 
/lib/udev/console_init: line 61: /dev/tty0: No such device or address   
[    1.182890] use_diag=0 is not a valid device range 
[    1.182897] dasd: The DASD device driver could not be initialized 

...

dracut Warning: Unable to process initqueue   
[   46.529396] dracut Warning: /dev/mapper/vg_rtt7-lv_root does not exist 
dracut Warning: /dev/mapper/vg_rtt7-lv_root does not exist  
[   46.529597] dracut Warning: /dev/vg_rtt7/lv_boot does not exist 
dracut Warning: /dev/vg_rtt7/lv_boot does not exist  
[   46.529791] dracut Warning: /dev/vg_rtt7/lv_root does not exist 
dracut Warning: /dev/vg_rtt7/lv_root does not exist  
[   46.529986] dracut Warning: /dev/vg_rtt7/lv_swap does not exist 
dracut Warning: /dev/vg_rtt7/lv_swap does not exist  
  
Dropping to debug shell.  
  
dracut:/# 

dracut:/# cat /etc/dasd.conf
cat /etc/dasd.conf  
0.0.3727  
Incorrect format for lower bound of DASD range use_diag=0: use_diag=0 
0.0.3627  
Incorrect format for lower bound of DASD range use_diag=0: use_diag=0 
0.0.3527  
Incorrect format for lower bound of DASD range use_diag=0: use_diag=0 
dracut:/# 


Version-Release number of selected component (if applicable):
s390utils-1.16.0-8.fc17

How reproducible:
always

Steps to Reproduce:
1. install F17 on DASD disks, use anaconda autopartitioning
  
Actual results:
fail to parse DASD device numbers, system doesn't boot

Expected results:
DASD device numbers are parsed
Comment 1 Jesse Keating 2012-05-24 12:30:38 EDT
Yeah, I saw anaconda dumping these extra things into the zipl.conf.  I don't think this is valid syntax, but I need to investigate.  If you trim off the extra options in zipl.conf it'll work (or just replace all of them with one entry with the range).
Comment 2 Jesse Keating 2012-05-24 17:25:58 EDT
Patch posted to handle both formats.
Comment 3 Dan Horák 2012-05-25 03:17:05 EDT
Thanks, patches were applied.

Note You need to log in before you can comment on or make changes to this bug.